Переполнение буфера в Novell eDirectory

Дата публикации:
25.03.2008
Дата изменения:
28.03.2008
Всего просмотров:
1304
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Novell eDirectory 8.x
Уязвимые версии:
Novell eDirectory 8.8.1 и возможно более ранние версии
Novell eDirectory 8.7.3.9 и возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке LDAP Extended Request сообщений в библиотеке libnldap. Удаленный пользователь может с помощью слишком большого LDAP delRequest сообщения вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.novell.com/products/edirectory/

Решение: Установите последнюю версию 8.8.2 или установите исправление eDirectory 8.7.3 sp10 с сайта производителя.

Журнал изменений:

28.03.2008
Обновлено описание уязвимости

Ссылки: ZDI-08-013: Novell eDirectory for Linux Stack Overflow

или введите имя

CAPTCHA